> For the complete documentation index, see [llms.txt](https://doc.sideos.io/sideos-api-documentation/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://doc.sideos.io/sideos-api-documentation/reference/api-reference.md).

# API Reference

Dive into the specifics of each API endpoint by checking out our complete documentation.

## Offer Credentials

If an organisation wants to provide credentials to users, e.g. as a login credential, the organisation can use the sideos API to create Verifiable Credentials and offer these Verifiable Credentials to their users to be stored in their SSI Wallet.&#x20;

{% content-ref url="/pages/xYHmnGDnsZpC9jv44uIv" %}
[Offer Credentials](/sideos-api-documentation/reference/api-reference/offer-credentials.md)
{% endcontent-ref %}

## Request Credentials

If an organisation wants to get verifiable data from a user, e.g. to authenticate a web user, the organisation can use the sideos API to create a request for Verifiable Credentials from an SSI wallet. If the SSI wallet has the requested credential types available, it will respond with the verifiable credentials if authorised by the user.

{% content-ref url="/pages/Yc9Q8eOX0RteJOfpOg3W" %}
[Request Credentials](/sideos-api-documentation/reference/api-reference/request-credentials.md)
{% endcontent-ref %}

## Templates

In the calls to create Credential Request or Credential Offer is a reference to the respective credential type by its ID. You can call the API to get the type definition of a certain template. &#x20;

{% content-ref url="/pages/0GfRd2DYyO8vltJ9Qu1B" %}
[Templates](/sideos-api-documentation/reference/api-reference/templates.md)
{% endcontent-ref %}


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://doc.sideos.io/sideos-api-documentation/reference/api-reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
